<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>



        <!-- =============================Purchase Dashboard Line Selector By Pushkal on 15 Nov 18 : starts here ==============  -->
    <record id="view_purchase_dashboard_value_line_view_form" model="ir.ui.view">
        <field name="name">purchase.dashboard.value.line.form</field>
        <field name="model">purchase.dashboard.value.line</field>
        <field name="type">form</field>
        <field name="arch" type="xml">
            <form string="User" create="0">
                <sheet>
                    <group>
                        <field name="name" required="1"/>
                    </group>
                    <group>
                        <field name="user_id" required="1"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>


    <record id="view_purchase_dashboard_value_line_tree" model="ir.ui.view">
        <field name="name">purchase.dashboard.value.line.tree</field>
        <field name="model">purchase.dashboard.value.line</field>
        <field name="type">tree</field>
        <field name="field_parent">child_ids</field>
        <field name="arch" type="xml">
            <tree string="Purchase Dashboard Values">
                <field name="name" />
                <field name="user_id"/>
                <field name="child_ids"/>
            </tree>
        </field>
    </record>


    <record id="purchase_dashboard_value_line_action" model="ir.actions.act_window">
        <field name="name">Purchase Dashboard Value Line</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">purchase.dashboard.value.line</field>
        <field name="view_mode">tree</field>
        <field name="view_id" ref="view_purchase_dashboard_value_line_tree"/>
        <field name="domain">[('parent_id','=',False)]</field>
    </record>

        <!--<menuitem name="DashBoard Test" id="menu_purchase_dashboard_test" action="purchase_dashboard_value_line_action"-->
          <!--parent="purchase.menu_purchase_config" sequence="175"/>-->


        <!-- =============================Purchase DashBoard value Selector By Pushkal on 15 Nov 18 : Ends here ==============  -->

        <!-- ============================= Dashboard Widget master  By Pushkal on 01 Dec 18 : starts here ==============  -->
    <record id="view_dashboard_widget_master_view_form" model="ir.ui.view">
        <field name="name">dashboard.widget.master.form</field>
        <field name="model">dashboard.widget.master</field>
        <field name="type">form</field>
        <field name="arch" type="xml">
            <form string="User" create="0">
                <sheet>
                    <group>
                        <group>
                            <field name="widget_name" required="1"/>
                            <field name="widget_module" required="1"/>
                        </group>
                        <group>
                            <field name="widget_no" required="1"/>
                            <field name="company_id" required="1"/>
                            <field name="widget_model" />
                        </group>
                    </group>
                    <notebook>
                        <page string="Widget Master Line">
                            <field name="widget_master_lines" context="{'default_widget_model': widget_model}">
                                <tree>
                                    <field name="name"/>
                                    <field name="widget_sequence"/>
                                    <field name ="query_type" />
                                    <field name ="widget_query" attrs="{'readonly': [('query_type', '=', 'filter')]}"/>
                                    <field name="widget_model"/>
                                    <field name="enable"/>
                                    <field name="widget_name"/>
                                    <field name="query_type" invisible="1"/>
                                </tree>
                                <!--<form>-->
                                    <!--<sheet>-->
                                        <!--<group>-->
                                            <!--<group>-->
                                                 <!--<field name="name"/>-->
                                                 <!--<field name="widget_sequence"/>-->
                                            <!--</group>-->
                                            <!--<group>-->
                                                <!--<field name ="widget_query"/>-->
                                                <!--<field name="enable"/>-->
                                                <!--<field name="widget_model"/>-->
                                            <!--</group>-->
                                        <!--</group>-->
                                        <!--<notebook>-->
                                            <!--<page string="Filters">-->
                                                <!--<field name="widget_model" invisible="1"/>-->
                                                <!--<field name="widget_filter_lines" context="{'default_filter_model': widget_model}">-->
                                                    <!--<tree editable="top">-->
                                                        <!--<field name="filter_model"/>-->
                                                        <!--<field name="filter_field" required="1" domain="[('model_id','=',filter_model)]"/>-->
                                                        <!--<field name="filter_selection" required="1"/>-->
                                                        <!--<field name="value" required="1"/>-->
                                                    <!--</tree>-->
                                                <!--</field>-->
                                            <!--</page>-->
                                        <!--</notebook>-->
                                    <!--</sheet>-->
                                <!--</form>-->
                            </field>
                        </page>
                    </notebook>
                </sheet>
            </form>
        </field>
    </record>


    <record id="view_dashboard_widget_master_view_tree" model="ir.ui.view">
        <field name="name">dashboard.widget.master.tree</field>
        <field name="model">dashboard.widget.master</field>
        <field name="type">tree</field>
        <field name="arch" type="xml">
            <tree string="Dashboard Widget Master">
                <field name="widget_name" />
                <field name="widget_module"/>
                <field name="company_id"/>
            </tree>
        </field>
    </record>


    <record id="view_dashboard_widget_master_view_action" model="ir.actions.act_window">
        <field name="name">Dashboard Widget Master</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">dashboard.widget.master</field>
        <field name="view_mode">tree,form</field>
        <field name="view_id" ref="view_dashboard_widget_master_view_tree"/>
    </record>

        <menuitem name="Dashboard Widget Master" id="menu_dashboard_widget_master" action="view_dashboard_widget_master_view_action"
          parent="purchase.menu_purchase_config" sequence="170"/>


        <!-- =============================Purchase DashBoard value Selector By Pushkal on 15 Nov 18 : Ends here ==============  -->

        <record id="view_dashboard_widget_master_line_view_form" model="ir.ui.view">
            <field name="name">widget.master.line.form</field>
            <field name="model">widget.master.line</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <group>
                            <group>
                                 <field name="name"/>
                                 <field name="widget_sequence"/>
                                 <field name="query_type"/>
                            </group>
                            <group>
                                <field name ="widget_query" attrs="{'invisible': [('query_type', '=', 'filter')]}"/>
                                <field name="enable"/>
                                <field name="widget_model"/>
                                <field name="widget_name"/>
                            </group>
                        </group>
                        <notebook>
                            <page string="Filters">
                                <field name="widget_model" invisible="1"/>
                                <field name="widget_name" invisible="1"/>
                                <field name="widget_filter_lines" context="{'default_filter_model': widget_model,'default_widget_name':widget_name}">
                                    <tree editable="top">
                                        <field name="filter_model"/>
                                        <field name="filter_field" required="1" domain="[('model_id','=',filter_model)]"/>
                                        <field name="filter_selection" required="1"/>
                                        <field name="value" required="1"/>
                                    </tree>
                                </field>
                            </page>
                        </notebook>
                    </sheet>
                </form>
            </field>
        </record>


        <!-- Purchase DashBoard Report tree view and action -->

        <record id="view_purchase_dashboard_report_tree" model="ir.ui.view">
        <field name="name">purchase.dashboard.report.tree</field>
        <field name="model">purchase.dashboard.report</field>
        <field name="type">tree</field>
        <field name="arch" type="xml">
            <tree string="Purchase Dashboard">
                <field name="name" invisible="1"/>
                <!--<field name="mrs_id" />-->
            </tree>
        </field>
    </record>


    <record id="purchase_dashboard_report_action" model="ir.actions.act_window">
        <field name="name">Purchase Dashboard Report</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">purchase.dashboard.report</field>
        <field name="view_mode">tree</field>
        <field name="view_id" ref="view_purchase_dashboard_report_tree"/>

    </record>

        <!--<menuitem name="DashBoard Report" id="menu_purchase_dashboard_report_test" action="purchase_dashboard_report_action"-->
          <!--parent="purchase.menu_purchase_config" sequence="199"/>-->


        <!-- =============================Purchase DashBoard value Selector By Pushkal on 15 Nov 18 : Ends here ==============  -->


        <!-- Purchase DashBoard Report tree view and action -->

        <record id="view_purchase_dashboard_link_model_tree" model="ir.ui.view">
            <field name="name">purchase.dashboard.link.model.tree</field>
            <field name="model">purchase.dashboard.link.model</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree string="Purchase Dashboard" editable="top">
                    <field name="name" required="1"/>
                    <field name="dashboard_widget" required="1"/>
                    <field name="link_model" required="1"/>
                </tree>
            </field>
        </record>


    <record id="purchase_dashboard_link_model_action" model="ir.actions.act_window">
        <field name="name">Purchase Dashboard Link Model</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">purchase.dashboard.link.model</field>
        <field name="view_mode">tree</field>
        <field name="view_id" ref="view_purchase_dashboard_link_model_tree"/>

    </record>

        <!--<menuitem name="DashBoard Link Model" id="menu_purchase_dashboard_link_model" action="purchase_dashboard_link_model_action"-->
          <!--parent="purchase.menu_purchase_config" sequence="205"/>-->

    </data>
</odoo>
